## ros-humble-rmf-task-ros2 2.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_task_ros2)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

include(GNUInstallDirs)

find_package(ament_cmake REQUIRED)
find_package(rmf_api_msgs REQUIRED)
find_package(rmf_traffic REQUIRED)
find_package(rmf_traffic_ros2 REQUIRED)
find_package(rmf_task_msgs REQUIRED)
find_package(rmf_websocket REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(nlohmann_json REQUIRED)
find_package(nlohmann_json_schema_validator_vendor REQUIRED)
find_package(nlohmann_json_schema_validator REQUIRED)

file(GLOB_RECURSE core_lib_srcs "src/rmf_task_ros2/*.cpp")
add_library(rmf_task_ros2 SHARED ${core_lib_srcs})

target_link_libraries(rmf_task_ros2
  PUBLIC
    rmf_api_msgs::rmf_api_msgs
    rmf_traffic::rmf_traffic
    rmf_traffic_ros2::rmf_traffic_ros2
    rmf_websocket::rmf_websocket
    ${rmf_task_msgs_LIBRARIES}
    ${rclcpp_LIBRARIES}
    nlohmann_json::nlohmann_json
    nlohmann_json_schema_validator
)

target_include_directories(rmf_task_ros2
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rmf_traffic_ros2_INCLUDE_DIRS}
    ${rmf_task_msgs_INCLUDE_DIRS}
    ${rmf_websocket_INCLUDE_DIRS}
    ${rclcpp_INCLUDE_DIRS}
)

ament_export_targets(rmf_task_ros2 HAS_LIBRARY_TARGET)
ament_export_dependencies(rmf_traffic rmf_task_msgs rclcpp nlohmann_json)

#===============================================================================

if(BUILD_TESTING)
  find_package(ament_cmake_catch2 QUIET)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN include src test
    CONFIG_FILE ${uncrustify_config_file}
    LANGUAGE C++
    MAX_LINE_LENGTH 80
  )

  file(GLOB_RECURSE unit_test_srcs "test/*.cpp")

  ament_add_catch2(
    test_rmf_task_ros2 test/main.cpp ${unit_test_srcs}
    TIMEOUT 300)

  target_link_libraries(test_rmf_task_ros2
      rmf_task_ros2
      rmf_traffic::rmf_traffic
      rmf_websocket::rmf_websocket
      rmf_traffic_ros2::rmf_traffic_ros2
      -pthread
  )

  target_include_directories(test_rmf_task_ros2
    PRIVATE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/>
  )
endif()

#===============================================================================

add_executable(rmf_bidder_node
  src/mock_bidder/main.cpp
)
target_link_libraries(rmf_bidder_node PUBLIC rmf_task_ros2 -pthread)

#===============================================================================

add_executable(rmf_task_dispatcher
  src/dispatcher_node/main.cpp
)
target_link_libraries(rmf_task_dispatcher PUBLIC rmf_task_ros2)

#===============================================================================
install(
  DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(
  TARGETS rmf_task_ros2 rmf_task_dispatcher rmf_bidder_node
  EXPORT rmf_task_ros2
  RUNTIME DESTINATION lib/rmf_task_ros2
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-task-ros2 (2.1.7-1jammy) jammy; urgency=high

  * Adding initiator and request time to booking (#284 <https://github.com/open-rmf/rmf_ros2/pull/284>)
  * Contributors: Aaron Chong

 -- Yadunund <yadunund@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.6-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.5-1jammy) jammy; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.4-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.3-1jammy) jammy; urgency=high

  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.2-1jammy) jammy; urgency=high

  * Add find_package for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Steven! Ragnarök

 -- Yadunund <yadunund@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.0-1jammy) jammy; urgency=high

  * Change default task auction evaluator to QuickestFinishEvaluator: (#211 <https://github.com/open-rmf/rmf_ros2/pull/211>)
  * ws broadcast client in dispatcher node (#212 <https://github.com/open-rmf/rmf_ros2/pull/212>)
  * create unique task_id with timestamp (#223 <https://github.com/open-rmf/rmf_ros2/pull/223>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.0.0-1jammy) jammy; urgency=high

  No changes yet

 -- Yadunund <yadunund@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (1.5.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (1.3.0-1jammy) jammy; urgency=high

  * Introduce dispatcher node to facilitate dispatching of tasks: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Yadunund <yadunund@openrobotics.org>  Tue, 12 Jan 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-task-ros2
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, nlohmann-json3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-catch2 <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-nlohmann-json-schema-validator-vendor, ros-humble-rclcpp, ros-humble-rmf-api-msgs, ros-humble-rmf-task-msgs, ros-humble-rmf-traffic, ros-humble-rmf-traffic-ros2, ros-humble-rmf-utils, ros-humble-rmf-websocket, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-task-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-humble-nlohmann-json-schema-validator-vendor, ros-humble-rclcpp, ros-humble-rmf-api-msgs, ros-humble-rmf-task-msgs, ros-humble-rmf-traffic, ros-humble-rmf-traffic-ros2, ros-humble-rmf-utils, ros-humble-rmf-websocket, ros-humble-ros-workspace
Description: A package managing the dispatching of tasks in RMF system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-task-ros2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rmf-task-ros2 2.1.8

=== debian/changelog ===
ros-humble-rmf-task-ros2 (2.1.8-1bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Mon, 18 Dec 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.7-1bookworm) bookworm; urgency=high

  * Adding initiator and request time to booking (#284 <https://github.com/open-rmf/rmf_ros2/pull/284>)
  * Contributors: Aaron Chong

 -- Yadunund <yadunund@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.6-1bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.5-1bookworm) bookworm; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.4-1bookworm) bookworm; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.3-1bookworm) bookworm; urgency=high

  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.2-1bookworm) bookworm; urgency=high

  * Add find_package for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Steven! Ragnarök

 -- Yadunund <yadunund@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.1.0-1bookworm) bookworm; urgency=high

  * Change default task auction evaluator to QuickestFinishEvaluator: (#211 <https://github.com/open-rmf/rmf_ros2/pull/211>)
  * ws broadcast client in dispatcher node (#212 <https://github.com/open-rmf/rmf_ros2/pull/212>)
  * create unique task_id with timestamp (#223 <https://github.com/open-rmf/rmf_ros2/pull/223>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (2.0.0-1bookworm) bookworm; urgency=high

  No changes yet

 -- Yadunund <yadunund@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (1.5.0-1bookworm) bookworm; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-humble-rmf-task-ros2 (1.3.0-1bookworm) bookworm; urgency=high

  * Introduce dispatcher node to facilitate dispatching of tasks: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Yadunund <yadunund@openrobotics.org>  Tue, 12 Jan 2021 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-task-ros2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-task-ros2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-task-ros2//opt/ros/humble/opt/rmf_task_ros2/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
